<?php



function WPFBBarJeetOptionsPage(){



	$options = get_option('wpfbbarjeet_settings');

	ob_start();

	wp_enqueue_style("plugin_options_css", plugins_url('css/plugin-options.css', __FILE__) );

	wp_enqueue_script("jquery");

	wp_enqueue_script("my_script", plugins_url('js/plugin-options.js', __FILE__) );



	?>

	<div class="wrap">

		<h2>WP FBBar Jeet Options</h2>

		<form method="post" action="options.php" class="wordpressForm" >

			<?php settings_fields('wpfbbarjeet_settings_group'); do_settings_sections( 'myoption-group' ); ?>

			<fieldset class="fs logo">

				<legend>

					<label for="wpfbbarjeet_settings[logo_enable]" class="labelCheck"><?php _e('Logo on Bar', 'wpfbbarjeet_options'); ?></label>

					<input type="checkbox" name="wpfbbarjeet_settings[logo_enable]" id="wpfbbarjeet_settings[logo_enable]" class="delayCheck" value="true" <?php checked($options['logo_enable']==true);?> /> 

				</legend>

				<p>

					<label for="wpfbbarjeet_settings[logo_image]" class="labelField"><?php _e('Logo Path', 'wpfbbarjeet_options'); ?></label>

					<input type="text" name="wpfbbarjeet_settings[logo_image]" id="wpfbbarjeet_settings[logo_image]" value="<?php echo $options['logo_image'];?>" />

				</p>

				<p><label for="" class="labelCheck"><?php _e('', 'wpfbbarjeet_options'); ?></label>

				<small>Max Size: 430 x 40 pixels</small></p>

			</fieldset>



			<fieldset class="fs links">

				<legend>Links</legend>

				<p>

					<label for="wpfbbarjeet_settings[url_home]" class="labelField"><?php _e('Home URL', 'wpfbbarjeet_options'); ?></label>

					<input type="text" name="wpfbbarjeet_settings[url_home]" id="wpfbbarjeet_settings[url_home]" value="<?php echo $options['url_home']; ?>" />

				</p>

				<p>

					<label for="wpfbbarjeet_settings[url_friend]" class="labelField"><?php _e('Friend Request URL', 'wpfbbarjeet_options'); ?></label>

					<input type="text" name="wpfbbarjeet_settings[url_friend]" id="wpfbbarjeet_settings[url_friend]" value="<?php echo $options['url_friend']; ?>" />

				</p>

				<p>

					<label for="wpfbbarjeet_settings[url_message]" class="labelField"><?php _e('Message Notification URL', 'wpfbbarjeet_options'); ?></label>

					<input type="text" name="wpfbbarjeet_settings[url_message]" id="wpfbbarjeet_settings[url_message]" value="<?php echo $options['url_message']; ?>" />

				</p>

				<p>

					<label for="wpfbbarjeet_settings[url_activity]" class="labelField"><?php _e('Activity Notification URL', 'wpfbbarjeet_options'); ?></label>

					<input type="text" name="wpfbbarjeet_settings[url_activity]" id="wpfbbarjeet_settings[url_activity]" value="<?php echo $options['url_activity'];?>" />

				</p>

			</fieldset>



			<h3>Notifications</h3>

			

			<p>

				<label for="wpfbbarjeet_settings[notify_everytime]" class="labelCheck" style="width:265px;"><?php _e('Show Notifications on page change / refresh', 'wpfbbarjeet_options'); ?></label>

				<input type="checkbox" name="wpfbbarjeet_settings[notify_everytime]" id="wpfbbarjeet_settings[notify_everytime]" class="delayCheck" value="true" <?php checked($options['notify_everytime']==true);?> data-delay-input="delayWrap_activity" /> 

			</p>

			

			<fieldset class="fs">

				<legend>

					<label for="wpfbbarjeet_settings[friend_notify]" class="labelCheck"><?php _e('Friend Notification', 'wpfbbarjeet_options'); ?></label>

					<input type="checkbox" name="wpfbbarjeet_settings[friend_notify]" id="wpfbbarjeet_settings[friend_notify]" class="delayCheck" value="true" <?php checked($options['friend_notify']==true);?> /> 

				</legend>

				

				<p>

					<label for="wpfbbarjeet_settings[friend_delay]" class="labelCheck"><?php _e('Delay', 'wpfbbarjeet_options'); ?></label>

					<input type="text" name="wpfbbarjeet_settings[friend_delay]" id="wpfbbarjeet_settings[friend_delay]" value="<?php echo ( isset($options['friend_delay']) ? $options['friend_delay'] : "3"); ?>" class="delayInput" /> Seconds

				</p>



				<p>

					<label for="wpfbbarjeet_settings[friend_sound]" class="labelCheck"><?php _e('Play Sound', 'wpfbbarjeet_options'); ?></label>

					<input type="checkbox" name="wpfbbarjeet_settings[friend_sound]" id="wpfbbarjeet_settings[friend_sound]" value="true" <?php checked($options['friend_sound']==true);?>/>

				</p>

			</fieldset>



			<fieldset class="fs">

				<legend>

					<label for="wpfbbarjeet_settings[message_notify]" class="labelCheck"><?php _e('Message Notification', 'wpfbbarjeet_options'); ?></label>

					<input type="checkbox" name="wpfbbarjeet_settings[message_notify]" id="wpfbbarjeet_settings[message_notify]" class="delayCheck" value="true" <?php checked($options['message_notify']==true);?> /> 

				</legend>

				

				<p>

					<label for="wpfbbarjeet_settings[message_delay]" class="labelCheck"><?php _e('Delay', 'wpfbbarjeet_options'); ?></label>

					<input type="text" name="wpfbbarjeet_settings[message_delay]" id="wpfbbarjeet_settings[message_delay]" value="<?php echo ( isset($options['message_delay']) ? $options['message_delay'] : "3"); ?>" class="delayInput" /> Seconds

				</p>



				<p>

					<label for="wpfbbarjeet_settings[message_sound]" class="labelCheck"><?php _e('Play Sound', 'wpfbbarjeet_options'); ?></label>

					<input type="checkbox" name="wpfbbarjeet_settings[message_sound]" id="wpfbbarjeet_settings[message_sound]" value="true" <?php checked($options['message_sound']==true);?>/>

				</p>

			</fieldset>



			<fieldset class="fs">

				<legend>

					<label for="wpfbbarjeet_settings[activity_notify]" class="labelCheck"><?php _e('Activity Notification', 'wpfbbarjeet_options'); ?></label>

					<?php $checked = ($options['activity_notify'])? "checked" : "";?>

					<input type="checkbox" name="wpfbbarjeet_settings[activity_notify]" id="wpfbbarjeet_settings[activity_notify]" class="delayCheck" value="true" <?php checked($options['activity_notify']==true);?> data-delay-input="delayWrap_activity" /> 

				</legend>

				

				<p>

					<label for="wpfbbarjeet_settings[activity_delay]" class="labelCheck"><?php _e('Delay', 'wpfbbarjeet_options'); ?></label>

					<input type="text" name="wpfbbarjeet_settings[activity_delay]" id="wpfbbarjeet_settings[activity_delay]" value="<?php echo ( isset($options['activity_delay']) ? $options['activity_delay'] : "3"); ?>" class="delayInput" /> Seconds

				</p>

				<p>

					<label for="wpfbbarjeet_settings[activity_sound]" class="labelCheck"><?php _e('Play Sound', 'wpfbbarjeet_options'); ?></label>

					<input type="checkbox" name="wpfbbarjeet_settings[activity_sound]" id="wpfbbarjeet_settings[activity_sound]" value="true" <?php checked($options['activity_sound']==true);?> data-delay-input="delayWrap_activity" />

				</p>

			</fieldset>

			<?php submit_button(); ?>

		</form>

	</div>

	<?php

	echo ob_get_clean();

}



add_action('admin_menu',function(){

	add_options_page('WP FBBar Jeet Options', "WP FBBar Jeet", 'manage_options', 'wpfbbarjeet_options','WPFBBarJeetOptionsPage');

});



function sanitize_options($options){

	$options['logo_enable'] = isset($options['logo_enable'] ) ? true : false;

	$options['notify_everytime'] = isset($options['notify_everytime'] ) ? true : false;

	$options['activity_notify'] = isset($options['activity_notify'] ) ? true : false;

	$options['activity_sound'] = isset($options['activity_sound'] ) ? true : false;

	$options['message_notify'] = isset($options['message_notify'] ) ? true : false;

	$options['message_sound'] = isset($options['message_sound'] ) ? true : false;

	$options['friend_notify'] = isset($options['friend_notify'] ) ? true : false;

	$options['friend_sound'] = isset($options['friend_sound'] ) ? true : false;

	return $options;

}



add_action('admin_init',function(){

	register_setting('wpfbbarjeet_settings_group', 'wpfbbarjeet_settings', 'sanitize_options');

});



add_filter( 'plugin_action_links', 'WPFBBarJeet_action_links', 10, 2 );



function WPFBBarJeet_action_links( $links, $file ) {

	if ( $file == plugin_basename( dirname(__FILE__).'/wpfbbarjeet.php' ) ) {

		array_unshift($links, '<a href="' . admin_url( 'admin.php?page=wpfbbarjeet_options' ) . '">'.__( 'Settings' ).'</a>');

	}

	return $links;

}